
%define qtmajor 5
%define qtminor 6
%define qtsubminor 2

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtwebsockets %mklibname qt5websockets %qtmajor
%define libqtwebsockets_d %mklibname qt5websockets  %qtmajor -d

%define qttarballdir qtwebsockets-opensource-src-%{qtversion}

Name: qtwebsockets5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %{version}
BuildRequires: qt5core-private-devel = %{version}

#Branch Patchs

#Trunk Patchs

#Patch from Others


%description
QtWebSockets is a pure Qt implementation of WebSockets - both client and
server.
It is implemented as a Qt add-on module, that can easily be embedded into
existing Qt projects. It has no other dependencies than Qt.

#------------------------------------------------------------------------------

%package -n %{libqtwebsockets}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Obsoletes: %{_lib}qtwebsockets5
Provides:  %{_lib}qtwebsockets5 = %version

%description -n %{libqtwebsockets}
Qt%{qtmajor} Component Library.

QtWebSockets is a pure Qt implementation of WebSockets - both client and
server.

%files -n %{libqtwebsockets}
%{_qt5_libdir}/libQt5WebSockets.so.%{qtmajor}*
%{_qt5_libdir}/qt5/qml/Qt/WebSockets/qmldir
%{_qt5_libdir}/qt5/qml/QtWebSockets/libdeclarative_qmlwebsockets.so
%{_qt5_libdir}/qt5/qml/QtWebSockets/plugins.qmltypes
%{_qt5_libdir}/qt5/qml/QtWebSockets/qmldir

#------------------------------------------------------------------------------

%package -n %{libqtwebsockets_d}
Summary: Devel files needed to build apps based on QtWebSockets
Group:    Development/Libraries
Requires: %{libqtwebsockets} = %version
Requires: qtbase5-common-devel = %{version}
Provides: libqtwebsockets5-devel = %version
Provides: qtwebsockets5-devel = %version

Provides: libqtwebsockets5-private-devel = %version
Provides: libqt5websockets-private-devel = %version
Provides: qtwebsockets5-private-devel = %version
Provides: qt5websockets-private-devel = %version
Requires: qt5core-private-devel = %version

Obsoletes: %{_lib}qtwebsockets5-devel
Provides:  %{_lib}qtwebsockets5-devel = %version

%description -n %{libqtwebsockets_d}
Devel files needed to build apps based on QtWebSockets.

%files -n %{libqtwebsockets_d}
%{_qt5_libdir}/libQt5WebSockets.prl
%{_qt5_libdir}/libQt5WebSockets.so
%{_qt5_libdir}/pkgconfig/Qt5WebSockets.pc
%{_qt5_includedir}/QtWebSockets
%{_qt5_libdir}/cmake/*
%{_qt5_datadir}/mkspecs/modules/*

#------------------------------------------------------------------------------

%prep
%setup -q -n qtwebsockets-opensource-src-%{qtversion}

%build
%qmake_qt5

%make
#------------------------------------------------------------------------------

%install
rm -rf %buildroot
make INSTALL_ROOT=$RPM_BUILD_ROOT install

install -d %{buildroot}/%{_qt5_docdir}

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a
rm -rf %{buildroot}/%_qt5_examplesdir


%changelog
* Tue Mar 21 2017 adrianomorselli <adrianomorselli> 5.6.2-1uplos2017
- update
